--!parent
--!encoding=utf-8

global $

-- widgets
property pListWidget

----------------------------------------
-- @constructor
----------------------------------------
on new (me)

  -- create a region
  region = $.Qt.Region.new(rect(10,10,150,230))

  -- create listWidget
  me.pListWidget = $.Qt.ListWidget.new(region)
  me.pListWidget.setGeometry(rect(0,0,140,220))

  -- add items
  data = ["one","two","three"]
  repeat with str in data
    childItem = $.Qt.ListWidgetItem.new(me.pListWidget)
    childItem.setText(str)
    me.pListWidget.addItem(childItem)
  end repeat

  -- set dragDrop mode

  -- a) only allow dropping into listView (moving inside)
  --me.pListWidget.setDragDropMode($.Qt.QAbstractItemView.InternalMove)

  -- b) allow both dropping into listView (moving) and dropping into frame
  --me.pListWidget.setDragDropMode($.Qt.QAbstractItemView.DragDrop)

  -- c) only allow dropping into frame
  me.pListWidget.setDragDropMode($.Qt.QAbstractItemView.DragOnly)

  -- show the region
  region.show()

  return me
end
