--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
  me._class = #ProgressDialog
  me.ancestor = $.include($.Qt.libDir&"classes/iDialog.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newWidget(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iDialog.ls").new()
	obj._class = #ProgressDialog
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- setAutoClose (bool)
on setAutoClose (me,p1)
  $.Qt._qx.callWidget(me._id,#setAutoClose,p1)
end

-- setAutoReset (bool)
on setAutoReset (me,p1)
  $.Qt._qx.callWidget(me._id,#setAutoReset,p1)
end

-- setCancelButtonText (string)
on setCancelButtonText (me,p1)
  $.Qt._qx.callWidget(me._id,#setCancelButtonText,p1)
end

-- setLabelText (string)
on setLabelText (me,p1)
  $.Qt._qx.callWidget(me._id,#setLabelText,p1)
end

-- setMaximum (int)
on setMaximum (me,p1)
  $.Qt._qx.callWidget(me._id,#setMaximum,p1)
end

-- setMinimum (int)
on setMinimum (me,p1)
  $.Qt._qx.callWidget(me._id,#setMinimum,p1)
end

-- setValue (int)
on setValue (me,p1)
  $.Qt._qx.callWidget(me._id,#setValue,p1)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

-- canceled
on canceled(me,id)
  me._detach(#canceled,id)
end

