--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
  me._class = #CalendarWidget
  me.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newWidget(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
	obj._class = #CalendarWidget
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- selectedDate () -> string
on selectedDate (me)
  return $.Qt._qx.callWidget(me._id,#selectedDate)
end

-- setSelectedDate (int,int,int)
on setSelectedDate (me,p1,p2,p3)
  $.Qt._qx.callWidget(me._id,#setSelectedDate,p1,p2,p3)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

-- currentPageChanged -> int,int
on currentPageChanged(me,id,p1,p2)
  me._detach(#currentPageChanged,id,p1,p2)
end

-- selectionChanged
on selectionChanged(me,id)
  me._detach(#selectionChanged,id)
end

